Subject: Renaming a remote is 'rename', but removing is 'rm'

From: Tomas Carnecky <[email-masked]>
Date: Wed, 05 Sep 2012 07:59:21 +0000

A fella on IRC was confused by $subject. And it did bother me sometimes as
well. If you don't use `git remote` often, it is confusing that the commands
are named inconsistently.

If I know that there is `git remote rm` then I kindof expect `git remote mv`
to exist. Because I am used to rm/mv and git rm/git mv as the standard unix
commands for renaming and removing something. On the other hand, if I know
that there is `git remote rename`, with the verb fully written out, I expect
`git remote delete/remove` to exist (or something similar, with the verb fully
written out).

Would there be any desire to make the subcommands more consistent in that
regard?

tom